Loading...
Searching...
No Matches

backward
direction
duration
during
forward
from
jump
onSeek
onSeek
onSeek
onStep
onStep
onStep
peek
peek
peek
point
progress
seek
seek
seek
step
step
step
to
tween
via
via

## to()

template<typename T , typename... Ts>

tween< T, Ts... > & to | ( | T | t,
|  | Ts... | vs
| ) |  |

Adds a new currentPoint in this tweening.

This will add a new tweening currentPoint with the specified values. Next calls to `via` and `during` will refer to this currentPoint.

Example

auto t = tweeny::from(0).to(100).to(200);
tweeny::from
tween< Ts... > from(Ts... vs)
Creates a tween starting from the values defined in the arguments.

Parameters

  t,vs | Point values

Returns
  *this